#define L1NumRows 1
#define FrameNumRows 240
#define FrameNumCols 720
#define NUMROWS 525
#define NUMCOLS 858
#define NUM_BUFFERS 1
#define NUM_BUFFERS_L1 3
#define NUM_TRANSFER 525

extern u8 IntMgrData[(ADI_INT_SECONDARY_MEMORY*16)];

// NTSC or PAL Video input
#define ACTIVE_FIELD_DATA_LEN		720	// Active field data length per line for PAL video format
#define VIDEOHORZLINES		ACTIVE_FIELD_DATA_LEN/2

// VGA LCD output
#define VGA_WIDTH		640
#define VGA_PADLEFT		0
#define VGA_PADRIGHT		0

#define VGA_HEIGHT		480
#define VGA_PADTOP		33
#define VGA_PADBOTTOM		12

#define VGA_FRAME_WIDTH		(VGA_WIDTH+VGA_PADLEFT+VGA_PADRIGHT) // 640
#define VGA_FRAME_HEIGHT	(VGA_HEIGHT+VGA_PADTOP+VGA_PADBOTTOM) // 525
#define VGA_FRAME_SIZE		(VGA_FRAME_WIDTH*VGA_FRAME_HEIGHT) // 640*525

#define LCDHORZLINES	VGA_FRAME_WIDTH/2



// DMA Manager data (base memory + memory for 1 DMA channel)
extern u8 DMAMgrData[ADI_DMA_BASE_MEMORY + (ADI_DMA_CHANNEL_MEMORY * 8)];

// Deferred Callback Manager data (memory for 1 service plus 4 posted callbacks)
#if defined(USE_DEFERRED_CALLBACKS)
extern u8 DCBMgrData[ADI_DCB_QUEUE_SIZE + (ADI_DCB_ENTRY_SIZE)*4];
#endif

// Device Manager data (base memory + memory for 1 device)
extern u8 DevMgrData[ADI_DEV_BASE_MEMORY + (ADI_DEV_DEVICE_MEMORY * 4)];

extern ADI_DEV_DEVICE_HANDLE 	DeviceHandle;
extern  ADI_DCB_HANDLE			DCBManagerHandle;		// handle to the callback service
extern 	ADI_DMA_MANAGER_HANDLE 	DMAManagerHandle;		// handle to the DMA Manager
extern	ADI_DEV_MANAGER_HANDLE 	DeviceManagerHandle;	// handle to the Device Manager

extern ADI_DMA_STREAM_HANDLE  StreamHandle;      // handle to the memory stream
extern ADI_DMA_STREAM_HANDLE  StreamHandle1;      // handle to the memory stream
	
extern	ADI_DEV_2D_BUFFER 		Buffer2D_IN[NUM_BUFFERS_L1];				// buffer to be sent to PPI Driver
extern	ADI_DEV_2D_BUFFER 		Buffer2D_OUT[NUM_BUFFERS_L1];				// buffer to be sent to PPI Driver

extern	ADI_DEV_2D_BUFFER 		Buffer2D_Copy[NUM_BUFFERS];				// buffer to be sent to PPI Driver

extern	ADI_DMA_2D_TRANSFER 		Buffer2D_IN_DMA[NUM_BUFFERS_L1];				// DMA buffer
extern	ADI_DMA_2D_TRANSFER 		Buffer2D_OUT_DMA[NUM_BUFFERS_L1];				// DMA buffer
extern	ADI_DMA_2D_TRANSFER 		Buffer2D_Copy_DMA;



